<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:f = "http://function"
    version="2.0">
    
    <xsl:output indent="yes"/>
        
    <xsl:template match="BirdStrikes" exclude-result-prefixes="#all">
        <xsl:for-each select="BirdStrike[@id][@id ne '']">
            <!-- xsl:result-document href="{concat('birdstrike-', f:timestamp(), '.xml')}" indent="yes" encoding="UTF-8" omit-xml-declaration="no" -->
            <xsl:result-document href="{concat('birdstrike-', @id, '.xml')}" indent="yes" encoding="UTF-8" omit-xml-declaration="no">
                <xsl:apply-templates select="."/>
            </xsl:result-document>
        </xsl:for-each>
    </xsl:template>        
        
    <xsl:template match="node()|@*" exclude-result-prefixes="#all">
        <xsl:copy>
            <xsl:apply-templates select="node()|@*"/>
        </xsl:copy>
    </xsl:template>
    
    <xsl:function name="f:timestamp">
        <xsl:value-of select="(current-dateTime() - xs:dateTime('1970-01-01T00:00:00')) div xs:dayTimeDuration('PT0.001S')"/>
    </xsl:function>
    
</xsl:stylesheet>